New iMovie not compatible with 2007 iMac

Discussion in 'Mac Apps and Mac App Store' started by stofferdk, Oct 25, 2013.

  1. stofferdk macrumors regular

    Joined:
    Jul 22, 2007
    Location:
    Copenhagen, Denmark
    #1
    Hey there!

    I have a very old mid-2007 iMac, and just made a clean install of Mavericks. The app-store says my iMac is not compatible with the new iMovie, but it does not offer me an older version. Does anyone know if this is possible in some way?

    Would have been cool if the latest compatible version was automatically available to you.
     

Share This Page